
Infrastructure - Task #2038

Feature # 1764 (Closed): Finalize dataoneTypes schema for public release

Add support for ServiceMethodRestriction to the Node.Service structure

2011-11-15 04:08 - Dave Vieglais

Status: Closed Start date: 2011-11-15

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_schemas Estimated time: 0.00 hour

Target version: Sprint-2011.51-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

See #1964 and #1989.

History

#1 - 2011-11-28 18:48 - Ben Leinfelder

I believe this is fleshed out in the type schema but it is not maintained in the LDAP schema implementation. To be clear, this only specifies who

should be able to call the Node's method, but not what parameters it is allowed to pass in. The main driver for this structure is to restrict

CNIdentity.mapIdentity() calls to only uber-trusted member nodes like the KNB. It does not allow up to specify which identities can be mapped, only

that the MN can call the CN method for mapping identities.

#2 - 2011-12-03 01:08 - Matthew Jones

- Status changed from New to Closed

- % Done changed from 0 to 100

ServiceMethodRestriction was flattened and completed.

Powered by TCPDF (www.tcpdf.org)

2024-04-27 1/1

https://redmine.dataone.org/issues/1964
https://redmine.dataone.org/issues/1989
http://www.tcpdf.org

